%define debug_package %{nil} 
%define src_install_dir /usr/src/%{name}

Name:           rules_ruby
Version:        5cf6ff74161d7f985b9bf86bb3c5fb16cef6337b
Release:        1
Summary:        ruby rules for Bazel
License:        Apache-2.0
Url:            https://github.com/protocolbuffers/%{name}
Source0:        https://github.com/protocolbuffers/%{name}/archive/%{version}.zip
BuildRequires:  fdupes

%description
bazel rules for packaging and distributing software written in ruby.

%package source
Summary:        Source code of bazel-rules-ruby
Group:          Development/Sources
BuildArch:      noarch

%description source
bazel rules for packaging and distributing software written in ruby.

This package contains source code of bazel-rules-ruby.

%prep
%setup -q

%build
make %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
mkdir -p %{buildroot}%{src_install_dir}
cp -R * %{buildroot}%{src_install_dir}
%fdupes %{buildroot}%{src_install_dir}

%files source
%license LICENSE
%{src_install_dir}

%changelog
* Sat Mar 15 2025 Acccll <mail1521@163.com> - 5cf6ff74161d7f985b9bf86bb3c5fb16cef6337b-1
- package init
